package com.goafanti.cognizance.service;

import java.text.ParseException;
import java.util.List;

import com.goafanti.cognizance.bo.ActivityNumberBo;
import com.goafanti.common.model.OrgActivity;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgActivityService {

	Pagination<OrgActivity> listOrgActivity(String activityNumber, String activityName, String startDate, String endDate, Integer pNo,
			Integer pSize, String userId) throws ParseException;

	OrgActivity insert(OrgActivity orgActivity);

	int updateByPrimaryKeySelective(OrgActivity orgActivity);

	int deleteByPrimaryKey(List<String> id);

	OrgActivity selectOrgActivityByPrimaryKey(String aid);

	List<ActivityNumberBo> selectOrgActivityNumberBoByUid(String uid);

	void updateOrgActivity(OrgActivity orgActivity);

	OrgActivity selectDetailByIdAndYear(String id, int year);

	List<OrgActivity> selectAcivityList(Integer year, String uid);

}
